// Configuration.cpp

#include "stdafx.h"
#pragma hdrstop

#include "Configuration.h"
#include "Platform.h"

namespace WaveSoftware
{

   Configuration::Configuration()
   {
      m_Platform = NULL;
   }

   Configuration::~Configuration()
   {
      if(NULL != m_Platform)
      {
         delete m_Platform;  m_Platform = NULL;
      }
   }

   void Configuration::SetTitle(const std::string& title)
   {
      m_Title = title;
   }

   void Configuration::SetCopyright(const std::string& copyright)
   {
      m_Copyright = copyright;
   }

   void Configuration::SetDetailsRoot(const std::string& detailsroot)
   {
      m_DetailsRoot = detailsroot;
   }

   void Configuration::SetRegistryKey(const std::string& registrykey)
   {
      m_RegistryKey = registrykey;
   }

   const std::string& Configuration::GetTitle()
   {
      return(m_Title);
   }

   const std::string& Configuration::GetCopyright()
   {
      return(m_Copyright);
   }

   const std::string& Configuration::GetDetailsRoot()
   {
      return(m_DetailsRoot);
   }

   const std::string& Configuration::GetRegistryKey()
   {
      return(m_RegistryKey);
   }

   void Configuration::SetPlatform(Platform* platform)
   {
      m_Platform = platform;
   }

   const Platform* Configuration::GetPlatform()
   {
      return(m_Platform);
   }

   void Configuration::SetName(const std::string& name)
   {
      m_Name = name;
   }

   const std::string& Configuration::GetName()
   {
      return(m_Name);
   }

} // end of namespace

