// CpuSpeed.cpp

#include "stdafx.h"
#pragma hdrstop

#include "CpuSpeed.h"
#include "Util.h"
#include "Constants.h"
#include "CpuInf32.h"		// Intel performance library
#include <sstream>

namespace WaveSoftware
{

   CpuSpeed::CpuSpeed()
   {
   }

   CpuSpeed::~CpuSpeed()
   {
      m_Minimum = 0;
      m_Recommended = 0;
   }

   bool CpuSpeed::Initialize(const StringMap& data)
   {
      if(!(Test::Initialize(data)))
         return(false);

      if(!(Util::GetFromMap(data, CSTR_MINIMUM, m_Minimum)))
         return(false);

      if(!(Util::GetFromMap(data, CSTR_RECOMMENDED, m_Recommended)))
         return(false);

      return(true);
   }

   bool CpuSpeed::Verify()
   {
      int speed = cpunormspeed();

      if(speed < m_Minimum)
         SetStatus(TS_HIGH);
      else if((speed >= m_Minimum) && (speed < m_Recommended))
         SetStatus(TS_MED);
      else
         SetStatus(TS_OK);

      std::stringstream ss;

      ss << CSTR_TILDE << speed << CSTR_MEGAHERTZ;

      SetStatusMsg(ss.str());
      
      return(true);
   }

} // end of namespace
