// FixedFileInfo.h

#ifndef FIXEDFILEINFO_H
#define FIXEDFILEINFO_H

#include "Version.h"

namespace WaveSoftware
{

class FixedFileInfo
{
public:
   FixedFileInfo();

public:
   bool IsAvailable();

public:
   void SetPathname(const std::string& pathname);

public:
   const Version& GetFileVersion();
   const Version& GetProductVersion();

private:
   void ReadFixedFileInfo();

private:
   std::string m_Pathname;
   bool m_Available;
   Version m_FileVersion;
   Version m_ProductVersion;
};

}; // end of namespace

#endif // FIXEDFILEINFO_H
