// Platform.cpp

#include "stdafx.h"
#pragma hdrstop

#include "Platform.h"
#include "Test.h"

namespace WaveSoftware
{

   Platform::Platform()
   {
   }

   Platform::Platform(const std::string& name)
   {
      Tests::const_iterator i = m_Tests.begin();
      Tests::const_iterator j = m_Tests.end();

      for(; i != j; i++)
      {
         Test* test = *i;

         delete test;  test = NULL;
      }

      m_Tests.clear();
   }

   void Platform::AddTest(Test* test)
   {
      m_Tests.push_back(test);
   }

   const Tests& Platform::GetTests() const
   {
      return(m_Tests);
   }

   void Platform::Verify() const
   {
      Tests::const_iterator i = m_Tests.begin();
      Tests::const_iterator j = m_Tests.end();

      for(; i != j; i++)
      {
         Test* test = *i;

         test->Verify();
      }
   }

   void Platform::SetName(const std::string& name)
   {
      m_Name = name;
   }

   const std::string& Platform::GetName()
   {
      return(m_Name);
   }

}; // end of namespace
