// Test.cpp

#include "stdafx.h"
#pragma hdrstop

#include "Test.h"
#include "Util.h"
#include "Constants.h"

namespace WaveSoftware
{

   Test::Test()
   {
      SetStatus(TS_UNKNOWN);
      SetStatusMsg(CSTR_EMPTY_STRING);
   }

   Test::~Test()
   {
   }

   bool Test::Initialize(const StringMap& data)
   {
      std::string tmp;

      if(Util::GetFromMap(data, CSTR_NAME, tmp))
      {
         SetName(tmp);

         return(true);
      }

      return(false);
   }

   void Test::SetName(const std::string& name)
   {
      m_Name = name;
   }

   void Test::SetStatus(TEST_STATUS status)
   {
      m_Status = status;
   }

   void Test::SetStatusMsg(const std::string& statusmsg)
   {
      m_StatusMsg = statusmsg;
   }

   const std::string& Test::GetName()
   {
      return(m_Name);
   }

   Test::TEST_STATUS Test::GetStatus()
   {
      return(m_Status);
   }

   const std::string& Test::GetStatusMsg()
   {
      return(m_StatusMsg);
   }

} // end of namespace
