// Test.h

#ifndef TEST_H
#define TEST_H

namespace WaveSoftware
{

class Test
{
public:
   Test();
   virtual ~Test();
   enum TEST_STATUS
   {
      TS_UNKNOWN,
      TS_OK,
      TS_LOW,
      TS_MED,
      TS_HIGH
   };

public:
   virtual bool Initialize(const StringMap& data);
   virtual bool Verify() = 0;

public:
   void SetName(const std::string& name);
   void SetStatus(TEST_STATUS status);
   void SetStatusMsg(const std::string& statusmsg);

public:
   const std::string& GetName();
   TEST_STATUS GetStatus();
   const std::string& GetStatusMsg();

protected:
   std::string m_Name;
   TEST_STATUS m_Status;
   std::string m_StatusMsg;
};

}; // end of namespace 

#endif // TEST_H
