// Util.h
//
// Utility methods.

#ifndef UTIL_H
#define UTIL_H

namespace WaveSoftware
{

   extern bool g_DebugPlatformEnabled;
   extern std::string g_DebugPlatform;

   struct Util
   {
      static bool GetFromMap(const StringMap& map, const std::string& key, std::string& val);
      static bool GetFromMap(const StringMap& map, const std::string& key, int& val);
      static bool GetFromMap(const StringMap& map, const std::string& key, bool& val);
      static bool GetFromString(const std::string& str, int& val);
      static bool GetFromString(const std::string& str, bool& val);
      static bool GetFromString(const std::string& str, Versions& versions);
      static void SplitPath(const std::string& path, std::string& drive, std::string& dir, std::string& fname, std::string& ext);
      static bool ShellExecute(const TCHAR* cmd, const TCHAR* params);
      static const std::string& GetCurrentPlatform();
      static const std::string& GetCurrentPlatformString();
      static int CompareVersionWithVersions(const Version& ver, const Versions& versions);
      static void DestroyVersions(Versions& versions);
   };

}; // end of namespace 

#endif // UTIL_H
