// Version.h

#ifndef VERSION_H
#define VERSION_H

namespace WaveSoftware
{

class Version
{
public:
   Version();
   Version(int maj, int min, int rel, int bld);
   Version(const TCHAR* str);

public:
   int Compare(const Version& v) const;
   std::string ToString() const;
   bool IsValid() const;

public:
   void SetMajor(int maj);
   void SetMinor(int min);
   void SetRelease(int rel);
   void SetBuild(int rel);

public:
   int GetMajor() const;
   int GetMinor() const;
   int GetRelease() const;
   int GetBuild() const;

private:
   int m_Major;
   int m_Minor;
   int m_Release;
   int m_Build;
   bool m_IsValid;
};

}; // end of namespace 

#endif // VERSION_H
